Paper Trading

List paper trading positions

GET
/apps/{appId}/paper-trading/accounts/{accountId}/positions

Authorization

appApiKey
headerx-app-api-key<token>

App-scoped API key. It is the only credential on partner-admin reads, paper-trading admin, and webhook rotate or replay. POST /bot-protection/verify requires it together with x-app-id.

Path Parameters

appId*string
accountId*string

Query Parameters

limit?number
Range1 <= value <= 100
cursor?string

Response Body

200

application/json
  1. response
data*array<>
nextCursor*string
hasMore*boolean
Example Request
curl -X GET 'https://api.t.sufwankhalid.com/apps/string/paper-trading/accounts/string/positions'
Example Response
{  "data": [    {      "id": "string",      "accountId": "string",      "venue": "string",      "venueMarketId": "string",      "venueMarketOutcomeId": "string",      "marketQuestion": "string",      "outcomeLabel": "string",      "winner": true,      "size": 0,      "avgEntryPrice": 0,      "markPrice": 0,      "markSource": "orderbook_midpoint",      "markTimestamp": 0,      "bestBidPrice": 0,      "bestAskPrice": 0,      "midpoint": 0,      "spread": 0,      "marketValueRaw": "string",      "marketValue": 0,      "unrealizedPnlRaw": "string",      "unrealizedPnl": 0,      "liquidationPrice": 0,      "liquidationValueRaw": "string",      "liquidationValue": 0,      "liquidationPnlRaw": "string",      "liquidationPnl": 0,      "liquidityShares": 0,      "liquidityStatus": "full",      "realizedPnlRaw": "string",      "realizedPnl": 0,      "createdAt": "string",      "updatedAt": "string"    }  ],  "nextCursor": "string",  "hasMore": true}